Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 251557

Summary: [Promise 5.2 feat] Update stex driver to version 3.6.0102.2
Product: Red Hat Enterprise Linux 5 Reporter: Ed lin <ed.lin>
Component: kernelAssignee: Prarit Bhargava <prarit>
Status: CLOSED ERRATA QA Contact: Martin Jenner <mjenner>
Severity: high Docs Contact:
Priority: high    
Version: 5.0CC: andriusb, ddomingo, jturner, jwest, poelstra, rlerch
Target Milestone: ---Keywords: FutureFeature, OtherQA
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: RHBA-2008-0314 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-21 14:49:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 249266, 391221, 420521, 422431, 422441    
Attachments:
Description Flags
[SCSI] stex: use resid for xfer len information none

Description Ed lin 2007-08-09 18:45:54 UTC
Description of problem:
This is for stex driver update on next rhel5 release. Patch will be posted 
later.

Version-Release number of selected component (if applicable):
RHEL 5.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Ed lin 2007-09-27 22:21:40 UTC
Created attachment 209131 [details]
[SCSI] stex: use resid for xfer len information

Comment 4 Ed lin 2007-09-27 22:26:35 UTC
Comment on attachment 209131 [details]
[SCSI] stex: use resid for xfer len information

The patch turned out to be a small one. It was based on
http://git.kernel.org/?p=linux/kernel/git/jejb/scsi-misc-2.6.git;a=commit;h=968
a5763fb7247feb0e69573a2975a7a0c094267

[SCSI] stex: use resid for xfer len information

The original implementation in stex_ys_commands() is inappropriate.
For xfer len information, we should use resid instead.

Signed-off-by: Ed Lin <ed.lin@promise.com>
Signed-off-by: James Bottomley <James.Bottomley@SteelEye.com>

Also, update driver version to 3.6.0102.2.

Comment 7 Don Domingo 2007-12-18 23:51:23 UTC
this bug has been tagged for inclusion in the RHEL5.2 release notes. please list
the stex features added/bug fixes applied by this driver update. 

Comment 8 Prarit Bhargava 2007-12-19 16:32:36 UTC
Patch looks sane to me.  I'll POST after building a test kernel.

P.

Comment 14 Don Zickus 2008-01-08 20:46:21 UTC
in 2.6.18-64.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 16 John Poelstra 2008-03-21 03:51:45 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

Comment 17 Don Domingo 2008-04-02 02:10:18 UTC
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don

Comment 18 John Poelstra 2008-04-02 21:34:25 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 19 John Poelstra 2008-04-09 22:41:31 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 20 Andrius Benokraitis 2008-04-10 15:25:36 UTC
Ed - Can we get this tested and verified? Thanks!

Comment 21 Ed lin 2008-04-17 01:21:25 UTC
Hello Andrius,

I verified that both binary and source are good, and changed the status to 
VERIFIED.

Thanks,
Ed


Comment 23 errata-xmlrpc 2008-05-21 14:49:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html